// ================================================================= TalAKT.h
//
// Read AKTerm for AUSTAL2000
// ==========================
//
// Copyright (C) Umweltbundesamt, 14191 Berlin, Germany, 2002
// Copyright (C) Janicke Consulting, 26427 Dunum, Germany, 2002
// email: info@austal2000.de
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// last change:  2002-09-24  lj
//
// =========================================================================

#ifndef TALAKT_INCLUDE
#define TALAKT_INCLUDE

#ifndef IBJARY_INCLUDE
  #include "IBJary.h"
#endif

typedef struct {
  double t;       // end time of the 1 hour interval (GMT+1)
  float fRa;      // wind direction in degree
  float fUa;      // wind velocity in m/s
  int iKl;        // stability class (Klug/Manier)
} AKTREC;

extern char *TalAKTVersion;
extern ARYDSC AKTary;
extern char AKTheader[];
extern float TatUmin, TatUref;

int TatReadAKTerm( void )
;
//int TatReadDMNA( int )
//;
int TatCheckZtr( void )
;
float TatGetHa( int iZ0 )
;
int TatArgument( char *pc )
;
#endif
